#  
# spec file for package ghc-X11
#  
# Copyright (c) 2005-2009 Herbert Graeber  
#  
# This file and all modifications and additions to the pristine  
# package are under the same license as the package itself.  
#  
  
# norootforbuild  
  
# ghc does not emit debug information  
%global debug_package %{nil}  

Name:          alex
Version:       2.3.1
Release:       0
Summary:       The lexer generator for Haskell
Group:         Development/Languages/Haskell
License:       BSD3
URL:           http://www.haskell.org/alex/
Source:        %{name}-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Requires:      licenses  
BuildRequires: ghc
BuildRequires: libxslt
BuildRequires: sgml-skel
BuildRequires: docbook-xsl-stylesheets
BuildRequires: docbook-utils
BuildRequires: licenses  
Prefix:        /usr

%description
Alex is a tool for generating lexical analysers in Haskell, given a
description of the tokens to be recognised in the form of regular
expressions.  It is similar to the tool 'lex' or 'flex' for C/C++.


%package doc
Summary:       Alex Documentation
Group:         Development/Languages/Haskell
Requires:      %{name} = %{version}

%description doc
Alex is a tool for generating lexical analysers in Haskell, given a
description of the tokens to be recognised in the form of regular
expressions.  It is similar to the tool 'lex' or 'flex' for C/C++.

This is the documentation for Alex, a lexical analyser generator for Haskell.


%prep
%setup -q


%build
%cabal_configure --docdir=%{_docdir}/alex
%cabal build
pushd doc
autoreconf
./configure --prefix=%{_prefix} --libdir=%{_libdir}
make html
popd

%install
rm -rf $RPM_BUILD_ROOT
%cabal_install
mkdir -p %{buildroot}%{_datadir}/doc/ghc/%{name}
cp -r doc %{buildroot}%{_datadir}/doc/ghc/%{name}
for FILE in LICENSE ; do  
  MD5SUM=$(md5sum $FILE | sed 's/ .*//')  
  if test -f /usr/share/doc/licenses/md5/$MD5SUM ; then  
    ln -sf /usr/share/doc/licenses/md5/$MD5SUM $FILE  
  fi  
done  


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc ANNOUNCE LICENSE README TODO examples
%{_bindir}/%{name}
%{_datadir}/%{name}-%{version}


%files doc
%defattr (-,root, root)
%{_datadir}/doc/ghc/%{name}


%changelog
* Sat Feb 28 2009 Herbert Graeber <herbert@links2linux.de> - 2.3.1
- Changed to haskell packaging conventions

* Wed Dec 4 2008 Herbert Graeber <herbert@links2linux.de> 2.3.1
- Update to version 2.3.1

* Wed Oct 29 2008 Herbert Graeber <herbert@links2linux.de> 2.3
- Update to version 2.3

* Thu Nov 15 2007 Herbert Graeber <herbert@links2linux.de> 2.2.0
- Update to version 2.2.0
  * Cabal 1.2 is now required.
  * ByteString wrappers: use Alex to lex ByteStrings directly.
- Use shared license file

* Thu Jan 18 2007 Herbert Graeber <herbert@links2linux.de>A 2.1.0
- Update to version 2.1.0

* Wed Sep 06 2006 Herbert Graeber <herbert@links2linux.de>
- Haddock isn't needed for build

* Mon Sep 04 2006 Herbert Graeber <herbert@links2linux.de>
- Use docbook-utils for html documentation
- Require sgml-skel for build

* Tue Aug 29 2006 - Herbert Graeber <herbert@links2linux.de>
- Disabled ps documentation (no fop without java)

* Mon Aug 28 2006 - Herbert Graeber <herbert@links2linux.de>
- Enabled full documentation build

* Mon Aug 28 2006 - Herbert Graeber <herbert@links2linux.de>
- Move to the SUSE Build Service
- Disabled extended documentation for the first build

* Thu Apr 20 2006 - Herbert Graeber <herbert@links2linux.de>
- Rebuild with GHC 6.4.2

* Wed Sep 21 2005 - Herbert Graeber <herbert@links2linux.de>
- Recompiled with ghc 6.4.1

* Wed Apr 20 2005 - Herbert Graeber <herbert@links2linux.de>
- Changes for x86_64

* Thu Apr 07 2005 - Herbert Graeber <herbert@links2linux.de>
- update to version 2.0.1 for ghc 6.4 compatibility
